# flvmux

flvmux muxes different streams into an FLV file.

## Example launch line

     gst-launch-1.0 -v flvmux name=mux ! filesink location=test.flv  audiotestsrc samplesperbuffer=44100 num-buffers=10 ! faac ! mux.  videotestsrc num-buffers=250 ! video/x-raw,framerate=25/1 ! x264enc ! mux.

This pipeline encodes a test audio and video stream and muxes both into an FLV file.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAggregator
                        ╰──flvmux

## Implemented interfaces

    GstTagSetter

## Factory details

Authors: – Sebastian Dröge <sebastian.droege></sebastian.droege>

Classification: – `Codec/Muxer`

Rank – primary

Plugin – flv

Package – GStreamer Good Plug-ins

## Pad Templates

### `audio`

    audio/x-adpcm:
             layout: swf
           channels: { (int)1, (int)2 }
               rate: { (int)5512, (int)11025, (int)22050, (int)44100 }
    audio/mpeg:
        mpegversion: 1
              layer: 3
           channels: { (int)1, (int)2 }
               rate: { (int)5512, (int)8000, (int)11025, (int)22050, (int)44100 }
             parsed: true
    audio/mpeg:
        mpegversion: { (int)4, (int)2 }
      stream-format: raw
    audio/x-nellymoser:
           channels: { (int)1, (int)2 }
               rate: { (int)5512, (int)8000, (int)11025, (int)16000, (int)22050, (int)44100 }
    audio/x-raw:
             format: { U8, S16LE }
             layout: interleaved
           channels: { (int)1, (int)2 }
               rate: { (int)5512, (int)11025, (int)22050, (int)44100 }
    audio/x-alaw:
           channels: { (int)1, (int)2 }
               rate: 8000
    audio/x-mulaw:
           channels: { (int)1, (int)2 }
               rate: 8000
    audio/x-speex:
           channels: 1
               rate: 16000

Presence – request

Direction – sink

Object type – GstFlvMuxPad

### `src`

    video/x-flv:

Presence – always

Direction – src

Object type – GstAggregatorPad

### `video`

    video/x-flash-video:
    video/x-flash-screen:
    video/x-vp6-flash:
    video/x-vp6-alpha:
    video/x-h264:
      stream-format: avc

Presence – request

Direction – sink

Object type – GstFlvMuxPad

## Properties

### encoder

    “encoder” gchararray

The value of encoder in the meta packet.

Flags : Read / Write

Default value : GStreamer {VERSION} FLV muxer

### enforce-increasing-timestamps

    “enforce-increasing-timestamps” gboolean

If set to true, flvmux will modify buffers timestamps to ensure they are always strictly increasing, inside one stream and also between the audio and video streams.

Flags : Read / Write

Default value : true

Since : 1.24

### metadatacreator

    “metadatacreator” gchararray

The value of metadatacreator in the meta packet.

Flags : Read / Write

Default value : GStreamer {VERSION} FLV muxer

### skip-backwards-streams

    “skip-backwards-streams” gboolean

If set to true, streams that go backwards related to the other stream will have buffers dropped until they reach the correct timestamp

Flags : Read / Write

Default value : false

### streamable

    “streamable” gboolean

If True, the output will be streaming friendly. (ie without indexes and duration)

Flags : Read / Write

Default value : false

The results of the search are